DefaultGriffonAddon (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultGriffonAddon

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.griffon.runtime.core.AbstractGriffonAddon
              org.codehaus.griffon.runtime.core.DefaultGriffonAddon

    public class DefaultGriffonAddon
    extends AbstractGriffonAddon

Authors:
  Andres Almiray

Since:
  0.9.2

Field Summary
`private Object` | `addonDelegate`

Fields inherited from class AbstractGriffonAddon
app, attributeDelegates, events, factories, log, methods, mvcGroups, postInstantiateDelegates, postNodeCompletionDelegates, preInstantiateDelegates, props, resourceLocator

Constructor Summary
`DefaultGriffonAddon(GriffonApplication app, Object addonDelegate)`

Method Summary
`void` | `addonBuilderInit(GriffonApplication app, FactoryBuilderSupport builder)`
`void` | `addonBuilderPostInit(GriffonApplication app, FactoryBuilderSupport builder)`
`void` | `addonInit(GriffonApplication app)`
`void` | `addonPostInit(GriffonApplication app)`
`List` | `getAttributeDelegates()`
`Map` | `getEvents()`
`Map` | `getFactories()`
`Map` | `getMethods()`
`Map` | `getMvcGroups()`
`List` | `getPostInstantiateDelegates()`
`List` | `getPostNodeCompletionDelegates()`
`List` | `getPreInstantiateDelegates()`
`Map` | `getProps()`
`void` | `setApp(GriffonApplication app)`

Methods inherited from class AbstractGriffonAddon
addonBuilderInit, addonBuilderPostInit, addonInit, addonPostInit, execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, getApp, getAttributeDelegates, getEvents, getFactories, getLog, getMethods, getMvcGroups, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getPreInstantiateDelegates, getProps, getResourceAsStream, getResourceAsURL, getResources, groupDef, isUIThread, newInstance

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### addonDelegate

    private final Object addonDelegate

Constructor Detail

### DefaultGriffonAddon

    public DefaultGriffonAddon(GriffonApplication app, Object addonDelegate)

Method Detail

### addonBuilderInit

    public void addonBuilderInit(GriffonApplication app, FactoryBuilderSupport builder)

### addonBuilderPostInit

    public void addonBuilderPostInit(GriffonApplication app, FactoryBuilderSupport builder)

### addonInit

    public void addonInit(GriffonApplication app)

### addonPostInit

    public void addonPostInit(GriffonApplication app)

### getAttributeDelegates

    public List getAttributeDelegates()

### getEvents

    public Map getEvents()

### getFactories

    public Map getFactories()

### getMethods

    public Map getMethods()

### getMvcGroups

    public Map getMvcGroups()

### getPostInstantiateDelegates

    public List getPostInstantiateDelegates()

### getPostNodeCompletionDelegates

    public List getPostNodeCompletionDelegates()

### getPreInstantiateDelegates

    public List getPreInstantiateDelegates()

### getProps

    public Map getProps()

### setApp

    public void setApp(GriffonApplication app)

Groovy Documentation